| Home | Libraries | People | FAQ | More

###### params_encoded_ref::erase (2 of 3 overloads)

Erase params.

###### Synopsis

    iterator
    erase(
        iterator first,
        iterator last);

###### Description

This function removes a range of params from the container.

All iterators that are equal to `first` or come after are invalidated.

###### Complexity

Linear in `this->url().encoded_query().size()`.

###### Exception Safety

Throws nothing.

###### Return Value

An iterator to one past the removed range.

###### Parameters

Name | Description
--- | ---
`first`, `last` | The range of params to erase.